# Uses of Class
org.eclipse.gef.geometry.planar.Rectangle

Packages that use Rectangle
Package
Description
org.eclipse.gef.geometry.convert.fx
This package contains helper classes to transfer data from JavaFX/Geometry to one another.
org.eclipse.gef.geometry.convert.swt
This package provides support for converting geometric objects to SWT and for conversion between SWT and AWT.
org.eclipse.gef.geometry.planar
This package provides support for geometric calculations based on shapes.

## Uses of Rectangle in org.eclipse.gef.geometry.convert.fx

Methods in org.eclipse.gef.geometry.convert.fx that return Rectangle
Modifier and Type
Method
Description
`static final Rectangle`
FX2Geometry.`toRectangle(javafx.geometry.Bounds b)`
Converts the given JavaFX `Bounds` to a `Rectangle`.
Methods in org.eclipse.gef.geometry.convert.fx with parameters of type Rectangle
Modifier and Type
Method
Description
`static final javafx.geometry.Bounds`
Geometry2FX.`toFXBounds(Rectangle r)`
Converts the given `Rectangle` to a JavaFX `Bounds`.

## Uses of Rectangle in org.eclipse.gef.geometry.convert.swt

Methods in org.eclipse.gef.geometry.convert.swt that return Rectangle
Modifier and Type
Method
Description
`static Rectangle`
SWT2Geometry.`toRectangle(Rectangle swtRectangle)`
Converts the given `SWT Rectangle` to a GEF `Rectangle`.
Methods in org.eclipse.gef.geometry.convert.swt with parameters of type Rectangle
Modifier and Type
Method
Description
`static final Rectangle`
Geometry2SWT.`toSWTRectangle(Rectangle r)`
Converts a `Rectangle` into an `Rectangle`.

## Uses of Rectangle in org.eclipse.gef.geometry.planar

Methods in org.eclipse.gef.geometry.planar that return Rectangle
Modifier and Type
Method
Description
`Rectangle`
Arc.`getBounds()`
`Rectangle`
BezierCurve.`getBounds()`
`Rectangle`
CurvedPolygon.`getBounds()`
`Rectangle`
IGeometry.`getBounds()`
Returns the smallest `Rectangle` fully enclosing this `IGeometry`.
`Rectangle`
Line.`getBounds()`
Returns the smallest `Rectangle` containing this `Line`'s start and end point
`Rectangle`
Path.`getBounds()`
`Rectangle`
Pie.`getBounds()`
`static Rectangle`
Point.`getBounds(Point... points)`
Returns the smallest `Rectangle` that encloses all `Point`s in the given sequence.
`Rectangle`
PolyBezier.`getBounds()`
`Rectangle`
Region.`getBounds()`
`Rectangle`
Ring.`getBounds()`
`Rectangle`
BezierCurve.`getControlBounds()`
Returns a bounding `Rectangle` of the control `Polygon` of this `BezierCurve`.
`Rectangle`
Rectangle.`getCopy()`
Returns a new Rectangle which has the exact same parameters as this Rectangle.
`Rectangle`
Rectangle.`getIntersected(Rectangle rect)`
Returns a new Rectangle which has the intersection of this Rectangle and the rectangle provided as input.
`Rectangle[]`
Region.`getShapes()`
`Rectangle`
Rectangle.`getTransposed()`
Returns a new rectangle whose width and height have been interchanged, as well as its x and y values.
`Rectangle`
Rectangle.`getUnioned(Point p)`
Returns a new Rectangle which contains both this Rectangle and the Point supplied as input.
`Rectangle`
Rectangle.`getUnioned(Rectangle rect)`
Returns a new Rectangle which contains both this Rectangle and the Rectangle supplied as input.
`Rectangle`
Rectangle.`intersect(Rectangle r)`
Sets the bounds of this `Rectangle` to the intersection of this `Rectangle` with the given one.
`Rectangle`
Rectangle.`transpose()`
Switches the x and y values, as well as the width and height of this Rectangle.
`Rectangle`
Rectangle.`union(double x, double y)`
Updates this `Rectangle`'s bounds so that the `Point` given by (x,y) is contained.
`Rectangle`
Rectangle.`union(double x, double y, double w, double h)`
Updates this Rectangle's bounds to the union of this `Rectangle` and the `Rectangle` with location (x, y) and size(w, h).
`Rectangle`
Rectangle.`union(Point p)`
Updates this `Rectangle`'s bounds so that the given `Point` is included within.
`Rectangle`
Rectangle.`union(Rectangle r)`
Updates this Rectangle's bounds to the union of this `Rectangle` and the `Rectangle`.
Methods in org.eclipse.gef.geometry.planar with parameters of type Rectangle
Modifier and Type
Method
Description
`Region`
Region.`add(Rectangle rectangle)`
Adds the given `Rectangle` to this `Region`.
`boolean`
Path.`contains(Rectangle r)`
Returns `true` if the given `Rectangle` is contained within `IGeometry`, `false` otherwise.
`boolean`
Polygon.`contains(Rectangle r)`
Checks whether the given `Rectangle` is fully contained within this `Polygon`.
`boolean`
Rectangle.`contains(Rectangle r)`
Tests whether this `Rectangle` fully contains the given other `Rectangle`.
`Rectangle`
Rectangle.`getIntersected(Rectangle rect)`
Returns a new Rectangle which has the intersection of this Rectangle and the rectangle provided as input.
`Rectangle`
Rectangle.`getUnioned(Rectangle rect)`
Returns a new Rectangle which contains both this Rectangle and the Rectangle supplied as input.
`Rectangle`
Rectangle.`intersect(Rectangle r)`
Sets the bounds of this `Rectangle` to the intersection of this `Rectangle` with the given one.
`boolean`
Path.`touches(Rectangle r)`
Tests whether this `Path` and the given `Rectangle` touch, i.e. they have at least one `Point` in common.
`boolean`
Rectangle.`touches(Rectangle r)`
Tests whether this `Rectangle` and the given other `Rectangle` touch, i.e. whether they have at least one point in common.
`Rectangle`
Rectangle.`union(Rectangle r)`
Updates this Rectangle's bounds to the union of this `Rectangle` and the `Rectangle`.
Constructors in org.eclipse.gef.geometry.planar with parameters of type Rectangle
Modifier
Constructor
Description
``
`Ellipse(Rectangle r)`
Constructs a new `Ellipse` so that it is fully contained within the given framing `Rectangle`.
``
`Rectangle(Rectangle r)`
Constructs a new `Rectangle` with x, y, width, and height values of the given `Rectangle`.
``
`Region(Rectangle... rectangles)`
Constructs a new `Region` from the given list of `Rectangle` s.
``
`RoundedRectangle(Rectangle r, double arcWidth, double arcHeight)`
Constructs a new `RoundedRectangle` from the bounds of the given `Rectangle` and the given arc values.